/***************************************************************
Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.		*
								*
This program is free software; you can redistribute it and/or	*
modify it under the terms of the GNU General Public License	*
as published by the Free Software Foundation; either version 2	*
of the License, or (at your option) any later version.		*
								*
This program is distributed in the hope that it will be useful,	*
but WITHOUT ANY WARRANTY; without even the implied warranty of	*
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*
GNU General Public License for more details.			*
								*
You should have received a copy of the GNU General Public License*	
along with this program; if not, write to Prof. D. Janakiram, 	*
DOS Lab, Department of CS & E, Indian Institute of Technology Madras,* 
Chennai - 600036, India. Alternatively, you can send a mail to 	*
d.janakiram@cs.iitm.ernet.in.					*	
*****************************************************************/


#ifndef __DISTPIPEDBUG_H__


#define __DISTPIPEDBUG_H__


#define SOCKET_DEBUG 1
#define HOST_DEBUG   2
#define LCTOUSER_DEBUG 4
#define LCTOSC_DEBUG 8
#define SCTOLC_DEBUG 16
#define USERTOLC_DEBUG 32
#define GENERAL_DEBUG 64
#define MEM_DEBUG 128
#define XDR_DEBUG 256
#define STEADY_STATE_DEBUG 1024


void InitializeDistPipeDebug();
void DistPipeDebug(int a_nDebugBit, ...);


#endif
