/***************************************************************
Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.		*
								*
This program is free software; you can redistribute it and/or	*
modify it under the terms of the GNU General Public License	*
as published by the Free Software Foundation; either version 2	*
of the License, or (at your option) any later version.		*
								*
This program is distributed in the hope that it will be useful,	*
but WITHOUT ANY WARRANTY; without even the implied warranty of	*
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*
GNU General Public License for more details.			*
								*
You should have received a copy of the GNU General Public License*	
along with this program; if not, write to Prof. D. Janakiram, 	*
DOS Lab, Department of CS & E, Indian Institute of Technology Madras,* 
Chennai - 600036, India. Alternatively, you can send a mail to 	*
d.janakiram@cs.iitm.ernet.in.					*	
*****************************************************************/
/* #ifdef LINUX_ARCHITECTURE */
#include <linux/kernel.h>  
#include <linux/sys.h>



#include "DistPipeSystemCoordinator.h"
#include "DistPipeLocalCoordinator.h"
#include "DistPipeError.h"
#include "DistPipeNetLevel.h"
#include "DistPipeHost.h"
#include "DistPipeDefines.h"
#include "DistPipeMesg.h"
#include "DistPipeDebug.h"
#include "DistPipeXDRRoutines.h"

int main()
{


  unsigned long int l_ulLoad;
  
  
  struct sysinfo l_stLoadInformation;
  
  if (sysinfo(&l_stLoadInformation) < 0)
    {
      perror("Error ");
      return -1;
    }
  

  l_ulLoad = (20.0/100) * l_stLoadInformation.loads[0] + 
    (30.0/100) * l_stLoadInformation.loads[1] + 
    (50.0/100) * l_stLoadInformation.loads[2];

  printf("Load 1 = %ld\n", l_stLoadInformation.loads[0]);
  printf("Load 2 = %ld\n", l_stLoadInformation.loads[1]);
  printf("Load 3 = %ld\n", l_stLoadInformation.loads[2]);

  printf("Load = %ld\n", l_ulLoad);

  return 1;
}
