/***************************************************************
Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.		*
								*
This program is free software; you can redistribute it and/or	*
modify it under the terms of the GNU General Public License	*
as published by the Free Software Foundation; either version 2	*
of the License, or (at your option) any later version.		*
								*
This program is distributed in the hope that it will be useful,	*
but WITHOUT ANY WARRANTY; without even the implied warranty of	*
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*
GNU General Public License for more details.			*
								*
You should have received a copy of the GNU General Public License*	
along with this program; if not, write to Prof. D. Janakiram, 	*
DOS Lab, Department of CS & E, Indian Institute of Technology Madras,* 
Chennai - 600036, India. Alternatively, you can send a mail to 	*
d.janakiram@cs.iitm.ernet.in.					*	
*****************************************************************/

#ifndef __STPROBMIGRATION_H__

#define __STPROBMIGRATION_H__

#include "DistPipeHost.h"
#include "Work.h"


#define EXECUTABLE_FILENAME_EXTENSION ".EXECUTABLE"


int CreateFileForCompilation(char* a_pszFileName);
int WriteToFile(char* a_pszFileName, char* a_pszWriteBuffer, int a_nWriteBufferSize);
int ReadFromFile(char* a_pszFileName, char* a_pszReadBuffer, int a_nReadBufferSize);
int CompileMigratedCFile(char* a_pszFileName);
int DeleteMigratedFiles(char* a_pszFileName);
int SendDetailsForMigration(PHOST_DESCRIPTOR a_pstHostDetails, char* a_pszFileName);
int DoMigration(PHOST_DESCRIPTOR_COLLECTION a_pstHostDetails, PWORK_INFORMATION_COLLECTION a_pstWorkDetails, int a_nSplitID);

#endif
