/* Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to Prof. D. Janakiram, 
DOS Lab, Department of CS & E, Indian Institute of Technology Madras, 
Chennai - 600036, India. Alternatively, you can send a mail to 
d.janakiram@cs.iitm.ernet.in. */

#include <iostream.h>
#include <sys/time.h>
#include <stdlib.h>

#define MaxDim 500

int main() {

	int Dimension, i, j, k;
	float a[MaxDim][MaxDim];
	float b[MaxDim][MaxDim];
	float c[MaxDim][MaxDim];
	srand(900);
	float sum;
	cout << " enter dimension " << endl;
	cin >> Dimension;
	
	int ReturnValueTime;
        struct timeval tvBefore, tvAfter;
        ReturnValueTime = gettimeofday(&tvBefore, (struct timezone*)0);
        if ( ReturnValueTime == -1 ) {
                  cout << " gettime of day cribbed  " << endl;
                  return 0;
        }

	
	for(i=0;i<Dimension;i++) {
		for(j=0;j<Dimension;j++) {
			a[i][j] = rand();
			b[i][j] = rand();
		}
	}
	for(i=0;i<Dimension;i++) {
		for(j=0;j<Dimension;j++) {
			sum = 0;
			for(k=0;k<Dimension;k++) {
				sum += a[i][k] * b[k][j];
			}
			c[i][j] = sum;
		}
	}
	ReturnValueTime = gettimeofday(&tvAfter, (struct timezone*)0);
        if ( ReturnValueTime == -1 ) {
                   cout << " gettime of day cribbed  " << endl;
                   return 0;
        }
        float diff = (float) (tvAfter.tv_sec - tvBefore.tv_sec) +(float) (tvAfter.tv_usec - tvBefore.tv_usec)* 0.000001;
        cout << "the time taken is     " << diff << endl;
}
					
	

			
