

#ifndef __DEFINES_H__

#define __DEFINES_H__

#include <stdlib.h>

#define GC_ZERO(Buffer, BufferSize) bzero((char* ) Buffer, BufferSize) 
#define GC_CALLOC(Buffer, Type, BufferSize) Buffer = (Type*) calloc(BufferSize, sizeof(Type))
#define GC_FREE(Buffer) if (Buffer) { free(Buffer); Buffer = NULL; }
#define GC_COPY(Source, Destination, Size) bcopy((char*) Source, (char*) Destination, Size)

#endif
