


#ifndef __LOWLEVELROUTINES_H__

#define __LOWLEVELROUTINES_H__


#include "GCHost.h"


int CreateTCPServerHostAndListen(PHOST_DESCRIPTOR a_pstHostDetails, int a_nPortNumber);
int CreateTCPClientHostAndConnect(PHOST_DESCRIPTOR a_pstClientDetails, char* a_pszServerName, int a_nServerPortNumber);

int CreateUNIXStreamServerHostAndListen(PHOST_DESCRIPTOR a_pstHostDetails, char* a_pszUNIXStreamPath);
int CreateUNIXStreamClientHostAndConnect( char* a_pszServerPath);

int ReadOnHost(int sock,char* a_pszReadBuffer, int a_nBufferSize);
int WriteOnHost(int sock, char* a_pszWriteBuffer, int a_nBufferSize);

int ReadMessageAndData(int sock,int a_nMessageID, char* a_pszMessage);
int WriteMessageAndData(int sock,int a_nMessageID, char* a_pszMessage, int a_nMessageSize);

int GetHostPortAddress(PHOST_DESCRIPTOR a_pstHostDetails, int a_nWhichSocket);
#endif
