/* Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to Prof. D. Janakiram, 
DOS Lab, Department of CS & E, Indian Institute of Technology Madras, 
Chennai - 600036, India. Alternatively, you can send a mail to 
d.janakiram@cs.iitm.ernet.in. */

#define CC_DR_PORT 5000
#define DR_AC_PORT 5900

typedef struct tagAcceptorList
{
	//HOST_DESCRIPTOR Host;
	char *ACHostName;
	char *ACLoginName;
	char *ACDaemonPath;
	
	struct tagAcceptorList *next;

}ACLIST, *P_ACLIST;

int dsock;

int InitializeDonor(char *a_pszClusterCoordinator);
int AcceptMessages(void);
void CleanUpDonor(int a_nSignalNumber);
int ProcessMessage(int sock);
int AnyDataToRead(fd_set *rfd);
int SendHPF(int sock);
int AcceptorRead(int sock);
int GetTask(int sock);
int CloseHost();
int SendResultToAcceptor(int sock);
