/* Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to Prof. D. Janakiram, 
DOS Lab, Department of CS & E, Indian Institute of Technology Madras, 
Chennai - 600036, India. Alternatively, you can send a mail to 
d.janakiram@cs.iitm.ernet.in. */

void initLocalDescArray(void) 
{
  FILE *fp;
  int index = 0;
  char tempstr[100];

  fp = fopen("MachineNames","r");
  
  while(!feof(fp)) {
    fscanf(fp,"%s",LocalDesc[index].mcName);
    fscanf(fp,"%s",tempstr);
    if(strcmp(tempstr,"inteldomain") == 0 || strcmp(tempstr,"INTELDOMAIN") == 0)
      LocalDesc[index].GROUPid = INTELDOMAIN;
    else if(strcmp(tempstr,"sparcdomain") == 0 || strcmp(tempstr,"SPARCDOMAIN") == 0)
      LocalDesc[index].GROUPid = SPARCDOMAIN;
    else if(strcmp(tempstr,"sundomain") == 0 || strcmp(tempstr,"SUNDOMAIN") == 0)
      LocalDesc[index].GROUPid = SUNDOMAIN;    
    else {
      printf("Error in MachineNames. Unknown Domain %s for machine %s\n",tempstr,LocalDesc[index].mcName);
      exit(1);
    }
    index++;
  }
}

