/* This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to Prof. D. Janakiram, 
DOS Lab, Department of CS & E, Indian Institute of Technology Madras, 
Chennai - 600036, India. Alternatively, you can send a mail to 
d.janakiram@cs.iitm.ernet.in. */


#include "multiply.c"

void main()
{
  Matrix m[2];
  int i,tag;
  long j;
  LFmessage lf;
  char *result;

  m[0].rows = m[1].rows = m[0].cols = m[1].cols = 10;

  Initialize(&m[0]);
  Initialize(&m[1]);

  initialize_ARC();

  lf = get_load_factor(1);

  for(j = 0;j < 100000;j++) {
    printf("Iteration No: %ld\n",j);
    ARC_function_call(multiply,10,3,(char *)m,2 * sizeof(Matrix), lf.LFinfo[0].index,tag,sizeof(Matrix));
    result = (char *)obtain_result(tag);
    printf("Got results\n");
  }
  close_ARC();
}










