/***************************************************************
Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.		*
								*
This program is free software; you can redistribute it and/or	*
modify it under the terms of the GNU General Public License	*
as published by the Free Software Foundation; either version 2	*
of the License, or (at your option) any later version.		*
								*
This program is distributed in the hope that it will be useful,	*
but WITHOUT ANY WARRANTY; without even the implied warranty of	*
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*
GNU General Public License for more details.			*
								*
You should have received a copy of the GNU General Public License*	
along with this program; if not, write to Prof. D. Janakiram, 	*
DOS Lab, Department of CS & E, Indian Institute of Technology Madras,* 
Chennai - 600036, India. Alternatively, you can send a mail to 	*
d.janakiram@cs.iitm.ernet.in.					*	
*****************************************************************/
#ifndef __DISTPIPEDEFINES_H__

#define __DISTPIPEDEFINES_H__

#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#define DISTPIPES_ZERO(Buffer, BufferSize) bzero((char* ) Buffer, BufferSize) 
#define DISTPIPES_CALLOC(Buffer, Type, BufferSize) Buffer = (Type*) calloc(BufferSize, sizeof(Type))
#define DISTPIPES_FREE(Buffer) if (Buffer) { free(Buffer); Buffer = NULL; }
#define DISTPIPES_COPY(Source, Destination, Size) bcopy((char*) Source, (char*) Destination, Size)

#endif
