/***************************************************************
Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.		*
								*
This program is free software; you can redistribute it and/or	*
modify it under the terms of the GNU General Public License	*
as published by the Free Software Foundation; either version 2	*
of the License, or (at your option) any later version.		*
								*
This program is distributed in the hope that it will be useful,	*
but WITHOUT ANY WARRANTY; without even the implied warranty of	*
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*
GNU General Public License for more details.			*
								*
You should have received a copy of the GNU General Public License*	
along with this program; if not, write to Prof. D. Janakiram, 	*
DOS Lab, Department of CS & E, Indian Institute of Technology Madras,* 
Chennai - 600036, India. Alternatively, you can send a mail to 	*
d.janakiram@cs.iitm.ernet.in.					*	
*****************************************************************/


#ifndef __DISTPIPESXDRROUTINES_H__

#define  __DISTPIPESXDRROUTINES_H__


#define LENGTH_FIELD_FOR_XDR_STRING   4

/******************************************************* Write Prototypes *************************************************************/


int WriteXDRSignedChar(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);
int WriteXDRUnSignedChar(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int WriteXDRSignedShortInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);
int WriteXDRUnSignedShortInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int WriteXDRSignedInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);
int WriteXDRUnSignedInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int WriteXDRSignedLongInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);
int WriteXDRUnSignedLongInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int WriteXDRString(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int WriteXDRFloat(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int WriteXDRDouble(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

/******************************************************* Read Prototypes *************************************************************/

int ReadXDRSignedChar(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);
int ReadXDRUnSignedChar(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int ReadXDRSignedShortInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);
int ReadXDRUnSignedShortInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int ReadXDRSignedInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);
int ReadXDRUnSignedInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int ReadXDRSignedLongInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);
int ReadXDRUnSignedLongInteger(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int ReadXDRString(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int ReadXDRFloat(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);

int ReadXDRDouble(int a_nMessageID, PHOST_DESCRIPTOR a_pstHostDetails, void* a_pDataElement, int a_nSize, int a_nWhichHost);







#endif
