/***************************************************************
Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.		*
								*
This program is free software; you can redistribute it and/or	*
modify it under the terms of the GNU General Public License	*
as published by the Free Software Foundation; either version 2	*
of the License, or (at your option) any later version.		*
								*
This program is distributed in the hope that it will be useful,	*
but WITHOUT ANY WARRANTY; without even the implied warranty of	*
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*
GNU General Public License for more details.			*
								*
You should have received a copy of the GNU General Public License*	
along with this program; if not, write to Prof. D. Janakiram, 	*
DOS Lab, Department of CS & E, Indian Institute of Technology Madras,* 
Chennai - 600036, India. Alternatively, you can send a mail to 	*
d.janakiram@cs.iitm.ernet.in.					*	
*****************************************************************/
/***********************************************************************************************
 * Program Name 
 * ~~~~~~~~~~~~
 * GeneralInteractionParser.c
 *
 * Purpose 
 * ~~~~~~~
 * This parses the meta-specificaion from and the source code and generates a 
 * c source code for migration of data.
 *
 * Developers 
 * ~~~~~~~~~~
 * Karthikeyan R & Binu K J
 *
 * Date 
 * ~~~~
 * 15/October/98
 *
 ***********************************************************************************************/


int main(int a_nNumberofArguments, char* a_pszArguments)
{

  int l_nMetaSpecificationFileDescriptor;
  
  /* open the file to be parsed in read mode */
  if ((l_nMetaSpecificationFileDescriptor = open(a_pszArguments[1], O_RDONLY)) < 0)
    {
      DistPipeSystemError("open");
      return -1;
    }

  ParseFile(l_nMetaSpecificationFileDescriptor);
     

  return 1;
}



int ParseFile(int a_nParseFileDescriptor)
{
  
}
