/***************************************************************
Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.		*
								*
This program is free software; you can redistribute it and/or	*
modify it under the terms of the GNU General Public License	*
as published by the Free Software Foundation; either version 2	*
of the License, or (at your option) any later version.		*
								*
This program is distributed in the hope that it will be useful,	*
but WITHOUT ANY WARRANTY; without even the implied warranty of	*
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*
GNU General Public License for more details.			*
								*
You should have received a copy of the GNU General Public License*	
along with this program; if not, write to Prof. D. Janakiram, 	*
DOS Lab, Department of CS & E, Indian Institute of Technology Madras,* 
Chennai - 600036, India. Alternatively, you can send a mail to 	*
d.janakiram@cs.iitm.ernet.in.					*	
*****************************************************************/

#include <stdio.h>

#include "DistPipeError.h"
#include "DistPipeDefines.h"
#include "DistPipeMesg.h"
#include "DistPipeDebug.h"
#include "DistPipeRoutines.h"

#define PIPE_NAME "BTECHPIPE"


int main()
{
  

  int pd;
  char l_szData[50];

  InitializeUserProcess();

  CreateDistPipe(PIPE_NAME);

  pd = OpenDistPipe(PIPE_NAME, READ_ACCESS_MODE); 
  // modified by umesh
  // was printf("Opened the pipe!\n");
    printf( "Opened the pipe %d\n", pd );
  // modified by umesh

  ReadDistPipe(pd, l_szData, sizeof(l_szData));

  printf("Message Read : [%s] \n", l_szData);


  CloseDistPipe(pd);

  DeleteDistPipe(PIPE_NAME);

  CleanUpUserProcess();

  return 1;

}
