/***************************************************************
Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.		*
								*
This program is free software; you can redistribute it and/or	*
modify it under the terms of the GNU General Public License	*
as published by the Free Software Foundation; either version 2	*
of the License, or (at your option) any later version.		*
								*
This program is distributed in the hope that it will be useful,	*
but WITHOUT ANY WARRANTY; without even the implied warranty of	*
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*
GNU General Public License for more details.			*
								*
You should have received a copy of the GNU General Public License*	
along with this program; if not, write to Prof. D. Janakiram, 	*
DOS Lab, Department of CS & E, Indian Institute of Technology Madras,* 
Chennai - 600036, India. Alternatively, you can send a mail to 	*
d.janakiram@cs.iitm.ernet.in.					*	
*****************************************************************/
/* This file contains all the nodespecific information
 *
 */
#ifndef JU_STEADYSTATEAUX_H
#define JU_STEADYSTATEAUX_H

#ifdef u2_ST_AUX
#define GLOBAL
#else
#define GLOBAL extern
#endif

#define NUMNODES 12 

GLOBAL char *szNodeList[NUMNODES] 
#ifdef u2_ST_AUX
= { 
  "hamir.icoser.iitm.ernet.in",
  "gauri.icoser.iitm.ernet.in",
  "barwa.icoser.iitm.ernet.in",
  "deepak.icoser.iitm.ernet.in",

  "kaafi.icoser.iitm.ernet.in",
  "gara.icoser.iitm.ernet.in",
  "bhoop.icoser.iitm.ernet.in",
  "kamod.icoser.iitm.ernet.in",

  "durga.icoser.iitm.ernet.in",
  "dhani.icoser.iitm.ernet.in",
  "desh.icoser.iitm.ernet.in",
  "hemant.icoser.iitm.ernet.in"
};
#else
;
#endif
#endif
