#include "Cool.h"
#include "Cool.cc"
#include "Cool_impl.cc"

int main(int argc, char *argv[]) {

	CORBA::ORB_var orb = CORBA::ORB_init(argc, argv, "mico-local-orb");
	//CORBA::BOA_var boa = orb -> BOA_init(argc, argv, "mico-local-boa");
	
	CORBA::Object_var poaobj = orb -> resolve_initial_references("RootPOA");
	PortableServer::POA_var poa = PortableServer::POA::_narrow(poaobj);
	PortableServer::POAManager_var mgr = poa-> the_POAManager();

	
	CORBA::String_var test;
	Cool_impl *servant = new Cool_impl();
	PortableServer::ObjectId_var oid = poa->activate_object(servant);
	mgr->activate();

	//boa -> impl_is_ready(CORBA::ImplementationDef::_nil());
	orb -> run();
	poa->destroy(TRUE, TRUE);
	delete servant;
//	CORBA::release(server);

	return 0;

}  

