/* Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to Prof. D. Janakiram, 
DOS Lab, Department of CS & E, Indian Institute of Technology Madras, 
Chennai - 600036, India. Alternatively, you can send a mail to 
d.janakiram@cs.iitm.ernet.in. */

#include "matrix.h"
#include <iostream.h>
#define MAX_DIM 500

class matrix_impl : virtual public POA_matrix {

private :
	// CORBA::Long OutputArray[MAX_DIM][MAX_DIM];
public :
	matrix_impl() {
	}
	void Multiply( const argumenttype &Input, Array OutputArray) {
	int i, j, k;
	float sum;
	/* cout << " dimension is   " << Input.dim << endl;
	for(i=0;i<Input.dim;i++) {
		for(j=0;j<Input.dim;j++) {
			OutputArray[i][j] = 0;
		}
	} */ 
	for (i=Input.startRow;i<Input.endRow;i++) {
		for (j=0;j<Input.dim;j++) {
			
			sum = 0;
			for (k=0;k<Input.dim;k++) {
				sum+=Input.a[i][k] * Input.b[k][j];
			}
			OutputArray[i][j] = sum;
		}
	}
	/* for(i=0;i<Input.dim;i++) {
		for(j=0;j<Input.dim;j++) {
			// cout << OutputArray[i][j];
		}
	} */
	} /* end of fun. */
};	 
	
