/* Copyright (C) DOS Lab, Dept. of CS & E, IIT Madras.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to Prof. D. Janakiram, 
DOS Lab, Department of CS & E, Indian Institute of Technology Madras, 
Chennai - 600036, India. Alternatively, you can send a mail to 
d.janakiram@cs.iitm.ernet.in. */

#include "Cool.cc"

#include <string.h>
class MigrationService_impl : virtual public POA_MigrationService {
private : 
	CORBA::Any a1, a2, a3;	
	CORBA::ORB_var orb;
	CORBA::Object_var Obj, Obj1;
	Cool_ptr ServerReference, NewRef;
public :
	MigrationService_impl(){}
	void Migrate(const char *ObjRef, const char *NewAddress, 
			const char *InterfaceName) {

		/*if ( (a2 >>= NewAddress) || (a3 >>= OldAddress) ){
                        cout << " input string is " ;
                }
                else {
                        cout << " error in parameter " <<endl;
                }*/
		char *argv[5];
                int argc;
                argv[0] = new char[20];
                argv[1] = new char[20];
                argv[2] = new char[20];
                cout << "After 1st allocation" << endl;
                strcpy(argv[0],"CoolClient");
                strcpy(argv[1],"-ORBBindAddr");
                strcpy(argv[2],NewAddress);
                argc = 3;
		// orb = CORBA::ORB_init(argc, argv, "mico-local-orb");
		orb = CORBA::ORB_init(argc, argv,"");
                if  (CORBA::is_nil (orb) ){
                        cout << "exception in the code, orb problem" << endl;
                        cout << "no such object " << endl;
                        return;
                }
		Obj = orb->string_to_object(ObjRef);
                //Obj = orb->bind("IDL:Cool:1.0",OldAddress);

                /* Obj = orb->bind("IDL:Cool:1.0","inet:jasmine:9999");
		const struct S s;
		s.str = NewAddress.str; */

		ServerReference = Cool::_narrow(Obj);
		ServerReference->Attach();
		char *FileName = new char [30]; 
		//FileName = ServerReference->SaveState();
		cout << "the object state is saved in file " << FileName<< endl;		char *VersionedInterfaceName = new char [50];
		strcpy(VersionedInterfaceName,"IDL:");
		strcat(VersionedInterfaceName,InterfaceName);
		strcat(VersionedInterfaceName,":1.0");
		cout << "#####  " << VersionedInterfaceName << endl;
		// Obj1 = orb->bind(VersionedInterfaceName,NewAddress);
		Obj1 = orb->bind("IDL:Cool:1.0",NewAddress);
			
		NewRef = Cool::_narrow(Obj1);
		if (strcmp(NewAddress,"inet:malli:9999") == 0) {
			system("rsh malli 'rsh jasmine 'cat ~/WorkImplementation/SteadyState/StateFile' > ~/SteadyState/StateFile'
");
		}
		else {
			cout << "m/c to migrate is not malli" << endl;
		}
		if (strcmp(NewAddress,"inet:rose:9999") == 0) {
			system("rsh rose 'rsh jasmine 'cat ~/WorkImplementation/ParallelSAWithMigration/StateFile' > ~/ParallelSAWithMigration/StateFile'
");
		}
		else {
			cout << "m/c to migrate is not rose" << endl;
		}
		
		NewRef->RestoreState(FileName);
		cout << "object state restored " << endl;

		ServerReference->Update(NewAddress);
		cout << "Filter updated with the new location " << endl;
	}
};			




