



#ifndef __GCERROR_H__

#define __GCERROR_H__ 

#include <errno.h>
extern int errno;

#define SOCKET_CREATION_ERROR -100
#define SOCKET_BIND_ERROR -101
#define SOCKET_ACCEPT_ERROR -102
#define SOCKET_READ_ERROR -103
#define SOCKET_WRITE_ERROR -104
#define SOCKET_CONNECT_ERROR -105
#define SOCKET_GETSOCKNAME_ERROR -106

#define HOST_GETHOSTBYNAME_ERROR -200


#define INVALID_ACCESS_MODE 0
#define READ_ACCESS_MODE 1
#define WRITE_ACCESS_MODE 2

#define XDR_ERROR -401

#define CANNOT_CREATE_FILE -500
#define CANNOT_OPEN_FILE -501
#define CANNOT_READ_FROM_FILE -502
#define CANNOT_WRITE_TO_FILE -503

#ifndef GC_LOGMAX
#define GC_LOGMAX 65536			
#endif


#define	GC_LOGFILE	"/tmp/GC.%d"	


#define STANDARD_ERROR_LOG 1
#define FILE_ERROR_LOG   2


int GCLogError(char* a_pszErrorMessage);
int GCLogClusterError(char* a_pszErrorMessage);
int GCOpenLog();

#endif
