/* This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, write to Prof. D. Janakiram, 
DOS Lab, Department of CS & E, Indian Institute of Technology Madras, 
Chennai - 600036, India. Alternatively, you can send a mail to 
d.janakiram@cs.iitm.ernet.in. */

#include <rpc/rpc.h>

char* sub(char *p)
{
  int diff;
  int temp[2];
  XDR pxdr;
  char *diffarray;

  xdrmem_create(&pxdr,p,100,XDR_DECODE);
  xdr_int(&pxdr,&temp[0]);
  xdr_int(&pxdr,&temp[1]);

  diff = temp[0] - temp[1];
  diffarray = (char *)malloc(10 * sizeof(char));
  xdrmem_create(&pxdr,diffarray,10,XDR_ENCODE);
  xdr_int(&pxdr,&diff);
  return(diffarray);
}


